Get Mcp Server
Return a single MCP server row or 404.
GET
/
admin
/
api
/
v1
/
mcp-servers
/
{mcp_id}
Get Mcp Server
curl --request GET \
--url https://api.example.com/admin/api/v1/mcp-servers/{mcp_id}import requests
url = "https://api.example.com/admin/api/v1/mcp-servers/{mcp_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/admin/api/v1/mcp-servers/{mcp_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"name": "<string>",
"enabled": true,
"mcpServer": {
"name": "<string>",
"transport": "streamable_http",
"url": "<string>",
"command": "<string>",
"args": [
"<string>"
],
"headers": {},
"env": {},
"cwd": "<string>",
"encoding": "<string>",
"timeoutSeconds": 123,
"sseReadTimeoutSeconds": 123,
"terminateOnClose": true,
"sessionKwargs": {}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Response
Successful Response
GET response and the data payload of POST/PATCH/DELETE responses.
Last modified on May 22, 2026
Was this page helpful?
⌘I
Get Mcp Server
